[MB-5532] rpm/dpkg/wndows installer should make sure memcached process is not running before upgrading to 1.8.1 (offline Upgrade from 180 fails with Rebalance failure due to {wait_for_memcached_failed,"bucket-1"}) Created: 12/Jun/12  Updated: 09/Jan/13  Resolved: 17/Oct/12

Status: Closed
Project: Couchbase Server
Component/s: documentation
Affects Version/s: None
Fix Version/s: None
Security Level: Public

Type: Bug Priority: Critical
Reporter: Karan Kumar (Inactive) Assignee: MC Brown (Inactive)
Resolution: Fixed Votes: 0
Labels: 1.8.1-release-notes, 2.0-release-notes
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified
Environment: Centos 64 bit.

Attachments: GZip Archive 85afd46e-85da-42ee-9285-0f4863a45944-10.1.3.114-diag.gz     GZip Archive 85afd46e-85da-42ee-9285-0f4863a45944-10.1.3.115-diag.gz     GZip Archive 85afd46e-85da-42ee-9285-0f4863a45944-10.1.3.116-diag.gz     GZip Archive 85afd46e-85da-42ee-9285-0f4863a45944-10.1.3.117-diag.gz     GZip Archive 85afd46e-85da-42ee-9285-0f4863a45944-10.1.3.118-diag.gz    

 Description   
We have seen this earlier. But could not reproduce it consistently.
http://www.couchbase.com/issues/browse/MB-5258


This is upgrade from 180 to 181.

Failing test:-
upgradetests.MultipleNodeUpgradeTests.test_upgrade,initial_version=1.8.0r-55,create_buckets=True,insert_data=True,start_upgraded_first=True,load_ratio=4,online_upgrade=True

 Comments   
Comment by Farshid Ghods (Inactive) [ 12/Jun/12 ]
Karan will create a documentation bug for this
Comment by Peter Wansch (Inactive) [ 06/Jul/12 ]
For 2.0, this will only happen when upgrading from 1.8.0 to 2.0. It does not apply to upgrades of 1.8.1 or later.
Comment by MC Brown (Inactive) [ 17/Oct/12 ]
A note has been added to the releasenotes for 2.0, and 1.8.1 noting the problem only on upgrades from 1.8.0.
Generated at Sun Nov 23 04:08:17 CST 2014 using JIRA 5.2.4#845-sha1:c9f4cc41abe72fb236945343a1f485c2c844dac9.